/**
 * @file log_tctm.h
 *
 * @brief This file contains logger enumeration values for the module TCTM
 *
 */


/* Note: header guard format should not be changed */
#ifndef _LOG_TCTM_H_
#define _LOG_TCTM_H_


/* User has to update enum list */
#define TCTM_FOREACH_LOG(TCTM_LOG_NAME) 				\
        TCTM_LOG_NAME(TCTM_INIT)   						\
        TCTM_LOG_NAME(NULL_TC_DATA_FROM_COMMS)          \
        TCTM_LOG_NAME(SEQ_MISMAT_WAR)                    \
        TCTM_LOG_NAME(E_SEQ__u16_)               \
		TCTM_LOG_NAME(A_SEQ__u16_)             \
		TCTM_LOG_NAME(Q_WAS_FULL_cm__BUT_DEQUEUE_FAILED)       \
		TCTM_LOG_NAME(OS_QUEUE_CREATE_FAILURE_IN_TM_STORAGE)        \
		TCTM_LOG_NAME(TMPACKING_FAILED)                                 \
                TCTM_LOG_NAME(TCTM_LOG_MAX)





#define TCTM_GENERATE_ENUM(ENUM) ENUM,
#define TCTM_GENERATE_STRING(STRING) #STRING,

typedef enum log_tctm_e_
{
	TCTM_FOREACH_LOG(TCTM_GENERATE_ENUM)
}log_tctm_e;

#endif /* _LOG_TCTM_H_ */
